#### D.5.4.10 effective

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  effective(A); A = divisor.

Assume:
  A is a divisor on X which is linearly equivalent to an effective divisor.

Return:
  divisor on X.

Theory:
  We compute an effective divisor linearly equivalent to A.

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor A = makeDivisor(ideal(x,z),ideal(1));
    divisor B = makeDivisor(ideal(x,y),ideal(1));
    divisor D = divisorplus(multdivisor(2,B),negativedivisor(A));
    effective(D);
    ==> (z,x) - (1)
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.